    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * --------------------
    028 * XYZURLGenerator.java
    029 * --------------------
    030 * (C) Copyright 2003-2008, by Object Refinery Limited and Contributors.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributors:     -;
    034 *
    035 * Changes:
    036 * --------
    037 * 03-Feb-2003 : Version 1 (DG);
    038 * 13-Dec-2007 : Updated API docs (DG);
    039 *
    040 */
    041
    042package org.jfree.chart.urls;
    043
    044import org.jfree.data.xy.XYZDataset;
    045
    046/**
    047 * Interface for a URL generator for plots that uses data from an
    048 * {@link XYZDataset}.  Classes that implement this interface are responsible
    049 * for correctly escaping any text that is derived from the dataset, as this
    050 * may be user-specified and could pose a security risk.
    051 */
    052public interface XYZURLGenerator extends XYURLGenerator {
    053
    054    /**
    055     * Generates a URL for a particular item within a series. As a guideline,
    056     * the URL should be valid within the context of an XHTML 1.0 document.
    057     *
    058     * @param dataset  the dataset (<code>null</code> not permitted).
    059     * @param series  the series index (zero-based).
    060     * @param item  the item index (zero-based).
    061     *
    062     * @return A string containing the generated URL.
    063     */
    064    public String generateURL(XYZDataset dataset, int series, int item);
    065
    066}